package com.example.mynotepad.MenuFeatures.AllNotes.DataBase;

import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.util.ArrayList;

@Entity
public class Note {
    @PrimaryKey(autoGenerate = true)
    int ID;
    @ColumnInfo(name = "title")
    String title;
    @ColumnInfo(name = "description")
    String txtBody;
    @ColumnInfo(name = "archived")
    boolean isarchived;
    @ColumnInfo(name = "folders")
    ArrayList<String> folders;

    public Note(String title, String txtBody, boolean isarchived , ArrayList<String> folders) {
        this.title = title;
        this.txtBody = txtBody;
        this.isarchived = isarchived;
        this.folders = folders;
    }


    public int getID() {
        return ID;
    }

    public String getTitle() {
        return title;
    }

    public String getDescription() {
        return txtBody;
    }

    public boolean isarchived() {
        return isarchived;
    }

    public ArrayList<String> getFolders() {
        return folders;
    }
}
